Bug 296531 - LTC:38943: 201138: Enhancing the active-backup mode of the Bonding driver.
LTC:38943: 201138: Enhancing the active-backup mode of the Bonding driver.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
ppc64 All
medium Severity high
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
: OtherQA
Depends On:
Blocks: 227737
  Show dependency treegraph
 
Reported: 2007-09-19 12:15 EDT by IBM Bug Proxy
Modified: 2014-06-29 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fail_over_mac option for bonding (10.40 KB, text/plain)
2007-09-25 20:00 EDT, IBM Bug Proxy
no flags Details
TFD for feature (70.41 KB, application/octet-stream)
2007-09-28 16:01 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 38943 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-09-19 12:15:18 EDT
=Comment: #0=================================================
Stephanie A. Glass <sglass&#64;us.ibm.com> - 2007-09-19 12:09 EDT
1. Feature Id 	201138
Feature Name 	Enhancing the active-backup mode of the Bonding driver.
Sponsor 	PPC
Category 	Device Drivers and IO
Request Type 	Kernel - Enhancement from IBM

2. Short Description 	Add an option to the Bonding driver so that it could
optionally failover on MAC addresses, rather than requiring all slaves to be
with the same MAC address.
	
3. Describe the Business Case 	This enhancement is required in order to support
bonding on top of the integrated Ethernet device (HEA) on all i/p6 systems and
blades. Without this change, Bonding won't be working effectively, or won't be
working at all (on Blades) on top of HEA. Any p6 customer who needs to rely on
bonding for networking aggregation/failover will be affected if they intend it
on HEA.
Performance Assistance Required?: 	no
Benefits: 	This enhancement is required in order to support bonding on top of
networking devices which may not be handling multiple ports with the same MAC
addresses as expected for the current bonding polling mechanisms.

4. Sponsor Priority: 	1
IBM Confidential: 	no
Code Contribution ?: 	IBM code
Upstream Acceptance: 	In Progress
Component Release Version Target: 	The patch is going to be submitted to kernel
by 9/18 and is targetted to be included in kernel 2.6.24.

Documentation Work: 	yes

5. Hardware to Red Hat:  already available on site

6. PM Contact: Josh Poulson, jrp@us.ibm.com, 360-857-5053

7. Technical Contact: Jay Vosburgh, vosburgh@us.ibm.com, 425-954-4392
Comment 1 IBM Bug Proxy 2007-09-25 20:00:41 EDT
Created attachment 206271 [details]
fail_over_mac option for bonding

This patch adds a fail_over_mac option to bonding, to permit active-backup to
function on devices that are displeased by having the MAC duplicated to all
slaves.  Patch against RHEL 2.6.18-43.el5 kernel.
Comment 2 IBM Bug Proxy 2007-09-28 16:01:01 EDT
Created attachment 210891 [details]
TFD for feature

TFD for this feature.
Comment 3 IBM Bug Proxy 2007-10-16 14:33:06 EDT
------- Comment From vosburgh@us.ibm.com 2007-10-16 14:29 EDT-------
Bonding 'fail over mac' accepted into mainline.
Comment 4 Andy Gospodarek 2007-10-16 15:19:08 EDT
Thanks, Jay.  I'll try and get this added for the next update (5.2).
Comment 5 RHEL Product and Program Management 2007-11-05 12:55:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jay Turner 2007-12-06 15:01:01 EST
QE ack for RHEL5.2.
Comment 7 Andy Gospodarek 2007-12-06 15:13:39 EST
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.
Comment 8 Scott Moser 2007-12-06 16:51:07 EST
(In reply to comment #7)
> My test kernels have been updated to include a patch for this bugzilla.

Andy, Do you want this bz re-assigned to you ?  I've built the attached patches
attached here into my kernels (http://people.redhat.com/smoser/rhel5u2)
Comment 9 Andy Gospodarek 2007-12-06 17:38:04 EST
Sure thing, Scott.  Sorry to steal your thunder on this one, but I did a big
bonding update to 3.2.0 and this got added into the mix.
Comment 10 IBM Bug Proxy 2007-12-10 20:20:46 EST
------- Comment From vosburgh@us.ibm.com 2007-12-10 20:16 EDT-------
(In reply to comment #13)
> ------- Comment From agospoda@redhat.com 2007-12-06 15:13 EST-------
> My test kernels have been updated to include a patch for this bugzilla.
>
> http://people.redhat.com/agospoda/#rhel5
>
> Please test them and report back your results.

I gave the 2.6.18-58.el5.gtest.32 kernel a test drive, and it appears to
function as expected (with regard to the fail_over_mac business).
Comment 11 John Jarvis 2007-12-13 13:55:59 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.
Comment 13 Don Zickus 2008-01-24 16:15:49 EST
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 15 John Poelstra 2008-03-20 23:58:10 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 16 John Poelstra 2008-04-02 17:39:12 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 17 John Poelstra 2008-04-09 18:44:51 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 18 IBM Bug Proxy 2008-04-17 13:16:51 EDT
------- Comment From sglass@us.ibm.com 2008-04-17 13:15 EDT-------
This is marked verified in devtrack, closing the bug
Comment 20 errata-xmlrpc 2008-05-21 10:55:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.